Subject: [CDNi] [Question] About Section 5.4.1 of RFC 8008

From: Shawn Lin <[email-masked]>
Date: Fri, 15 Dec 2017 00:23:02 +0800

Dear CDNIers,

I am confused about the semantics of Acquisition Protocol Capability Object
in 5.4. Any reply is highly appreciated! Let me start with an example.

{
     "capabilities": [

       {
         "capability-type": "FCI.AcquisitionProtocol",
         "capability-value": {

           "acquisition-protocols": [
             "http/1.1",
             "https/1.1"

]},

         "footprints": [
           {"footprint-type": "asn",

            "footprint-value": ["AS65535"]}

]}

]}

The description in the first paragraph of 5.4

The Delivery Protocol capability object is used to indicate support
for one or more of the protocols

listed in the "CDNI Metadata Protocol Types" registry.

makes me think that AS65535 has the capabilities of http/1.1 or AS65535 has
the capabilities of https/1.1 or AS65535 has the capabilities of http/1.1
and https/1.1.

However, the description in the first paragraph of 5.4.1

The following shows an example of Acquisition Protocol capability object
serialization for a CDN that supports *HTTP/1.1 with or without **TLS for
content acquisition.*

makes me think that AS65535 has the capabilities of http/1.1 or AS65535 has
the capabilities of https/1.1.

Thanks in advance!

Bests,

Shawn Lin

---

From: "Kevin J. Ma" <[email-masked]>
Date: Thu, 14 Dec 2017 20:25:27 -0500

Hi Shawn,

  (As an author) In your example, AS65535 supports both HTTP and HTTPS.  I believe the statement in section 5.4.1 conforms to this; supporting HTTP "with or without TLS" implies supporting both HTTP and HTTPS, though we could've possibly choosen a different wording.  I apologize for any confusion.

thanx.

--  Kevin J. Ma

Sent from my iPhone

> On Dec 14, 2017, at 11:23 AM, Shawn Lin <[email-masked]> wrote:
> 
> Dear CDNIers,
> 
> I am confused about the semantics of Acquisition Protocol Capability Object in 5.4. Any reply is highly appreciated! Let me start with an example.
> 
> {
>      "capabilities": [
>        {
> The Delivery Protocol capability object is used to indicate support for one or more of the protocols 
> makes me think that AS65535 has the capabilities of http/1.1 or AS65535 has the capabilities of https/1.1 or AS65535 has the capabilities of http/1.1 and https/1.1.
> 
> 
> 
> The following shows an example of Acquisition Protocol capability object serialization for a CDN that supports HTTP/1.1 with or without TLS for content acquisition.
> 
> makes me think that AS65535 has the capabilities of http/1.1 or AS65535 has the capabilities of https/1.1.
> 
> 
> 
> Thanks in advance!
> 
> 
> 
> Bests,
> 
> Shawn Lin
> 
> _______________________________________________
> CDNi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cdni

---

From: Shawn Lin <[email-masked]>
Date: Fri, 15 Dec 2017 09:33:49 +0800

Hi Kevin,

It is clear to me now! Thank you so much!

Bests,
Shawn Lin

On Fri, Dec 15, 2017 at 9:25 AM, Kevin J. Ma <[email-masked]>
wrote:

> Hi Shawn,
>
>   (As an author) In your example, AS65535 supports both HTTP and HTTPS.  I
> believe the statement in section 5.4.1 conforms to this; supporting HTTP
> "with or without TLS" implies supporting both HTTP and HTTPS, though we
> could've possibly choosen a different wording.  I apologize for any
> confusion.
>
> thanx.
>
> --  Kevin J. Ma
>
> Sent from my iPhone
>
> I am confused about the semantics of Acquisition Protocol Capability
> Object in 5.4. Any reply is highly appreciated! Let me start with an
> example.
>
>
> {
>      "capabilities": [
>
>        {
> makes me think that AS65535 has the capabilities of http/1.1 or AS65535
> has the capabilities of https/1.1 or AS65535 has the capabilities of
> http/1.1 and https/1.1.
>
>